[19.04 FEAT] ugrade IBMCA >=2.0.1

Bug #1804233 reported by bugproxy on 2018-11-20
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
openssl-ibmca (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Get latest from upstream https://github.com/opencryptoki/openssl-ibmca

Changelog:
openssl-ibmca 2.0.0
- Dont fail when a libica symbol cannot be resolved.

bugproxy (bugproxy) on 2018-11-20
tags: added: architecture-s39064 bugnameltc-173398 severity-high targetmilestone-inin1904
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → openssl-ibmca (Ubuntu)

------- Comment From <email address hidden> 2018-11-20 08:33 EDT-------
Changelog from openssl-ibmca 2.0.1 was attached..

Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-11-27 11:08 EDT-------
New Version of ibmca is available
https://github.com/opencryptoki/openssl-ibmca

Changelog: * openssl-ibmca 2.0.2
- Fix doing rsa-me, altough rsa-crt would be possible.

Changed in openssl-ibmca (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl-ibmca - 2.0.2-0ubuntu1

---------------
openssl-ibmca (2.0.2-0ubuntu1) disco; urgency=medium

  * New upstream release LP: #1804233 LP: #1806483
  * Drop dlopen-soname.patch, applied upstream.
  * Update watch file to github.com.

 -- Dimitri John Ledkov <email address hidden> Mon, 10 Dec 2018 11:21:56 +1100

Changed in openssl-ibmca (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → Fix Released
information type: Private → Public
tags: added: id-5bf4cc8af9529654ac0ebe4c
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-02-05 03:45 EDT-------
IBM Bugzilla status -> closed, Fix Released with Disco

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers